jQuery( document ).ready( function () {
	jQuery( '#import-verowa-layers-button' ).on( 'click', function(e) {
		e.preventDefault();
		e.stopPropagation();

		jQuery( '.wrap' ).css( 'cursor', 'wait' );

		var verowa_layers_select = jQuery( '#verowa-layers-select' ).val();
		
		jQuery.post(
			verowa_import_layers_handler_obj.ajax_url, { // the url were the call is sent
				_ajax_nonce: verowa_import_layers_handler_obj.nonce, // the nonce is used to verify that the call comes from this plugin
				action: 'verowa_import_layers', // the name of the action WP generates
				data: verowa_layers_select
			},
			function( data ) {
				data = data.trim();
				if ( data == 'success' ) {
					jQuery( '#verowa-import-layer-message' ).addClass( 'updated notice is-dismissible' );

					if ( jQuery( '#verowa-import-layer-message' ).length <= 1 ) {
						jQuery( '#verowa-import-layer-message' ).html( '<h4>' + verowa_layers_translations.import_layers_success + '<h4>' );
					} else {
						jQuery( '#verowa-import-layer-message' ).remove();
						jQuery( '#verowa-import-layer-message' ).append( '<h4>' + verowa_layers_translations.import_layers_success + '</h4>' );
					}

					jQuery( '#verowa-import-layers-wrap' ).css( 'display', 'none' );
					jQuery( '.wrap' ).css( 'cursor', '' );
				}
			}
		);
	});
});