<?php
/**
 * Dieser Shortcode zeigt speziell angegebene Verowa-Listen an
 * NEU: Attribute anzahl= Zahl und seiten-aufteilen=true (oder false) zusatz
 * NEU 2018, der Shortcode kann mit dem Parameter layer_id= (Komma separiert) 
 * verwendet werden
 */

add_shortcode( 'verowa_event_liste_dynamic', 'verowa_event_liste_dynamic' );

function verowa_event_liste_dynamic( $atts ) {
	// Wo keine Werte gesetzt sind, werden Defaults verwendet

	// Wenn die Anzahl eingestellt ist und "Seiten aufteilen" auch auf True gesetzt ist,
	// gibt es mehrere Seiten mit der gesetzten Anzahl.

	// Die default Werte
	$default_pro_seite = 10;
	$default_max = $default_pro_seite;
	$max_max = 1000; // maximal erlaubte Anzahl angezeigter Events

	$atts = shortcode_atts(
		array(
			'id' => 0,
			'layer_id' => '',
			'target_group' => '',
			'pro-seite' => $default_pro_seite ,
			'title' => '',
			'max' => $default_max,
			'max_days' => 365,
			'template_id' => 0,
		),
		$atts,
		'verowa_event_liste'
	);

	$str_atts = '';

	if ( $atts['id'] > 0 ) {
		$str_atts .= 'id=' . $atts['id'] . ' ';
	}

	if ( $atts['layer_id'] != '' ) {
		$str_atts .= 'layer_id=' . $atts['layer_id'] . ' ';
	}

	if ( $atts['target_group'] != '' ) {
		$str_atts .= 'target_group=' . $atts['target_group'] . ' ';
	}

	if ( $atts['pro-seite'] > 0 ) {
		$str_atts .= 'pro-seite=' . $atts['pro-seite'] . ' ';
	}

	if ( $atts['title'] > 0 ) {
		$str_atts .= 'title=' . $atts['title'] . ' ';
	}

	if ( $atts['max'] > 0 ) {
		$str_atts .= 'max=' . $atts['max'] . ' ';
	}

	if ( $atts['max_days'] > 0 ) {
		$str_atts .= 'max_days=' . $atts['max_days'] . ' ';
	}

	if ( $atts['max_days'] > 0 ) {
		$str_atts .= 'template_id=' . $atts['template_id'] . ' ';
	}

	ob_start();
	
	// Wir geben alle attribute weiter
	echo do_shortcode( '[verowa_event_list ' . $str_atts . ']' );

	return ob_get_clean();
}
?>