<?php
add_action( 'wp_ajax_verowa_import_layers', 'verowa_import_layers');


/**
 *  Is the function still used (MPf: 13.10.2021)
 *
 */
function verowa_import_layers() {
    global $already_created_layer_ids;

	check_ajax_referer( 'verowa_import_layers' );

    $layers_array = verowa_get_layers_array();

    usort( $layers_array, function( $a, $b ) {
        return $a['parent_id'] <=> $b['parent_id'];
    });

    $already_created_layer_ids = array();

    verowa_create_layer_pages( $layers_array, sanitize_key( $_POST['verowa_layers_select'] ) );
    update_option( 'verowa_already_imported_layers', true );

    echo 'success';

    wp_die();
}