<?php
/*

Copyright (c) 2020 Picture-Planet GmbH

*/



/*

Für dieses Plugin muss der Shortcode [verowa_subscriptions_form] verwendet werden.

Es kommunizeirt direkt mit der Verowa-API und ist von den Daten aus Verowa Connect abhängig.

*/

// Funktionen
require( 'function/fct_verowa_subscriptions_form.php' );

require( 'verowa-subscriptions-form.php' );
require( 'verowa-subscriptions-admin-page.php' );
require( 'verowa-subscriptions-validation.php' );
require( 'verowa-subscriptions-submit.php' );
require( 'verowa-subscriptions-response.php' );
require( 'verowa-subscriptions-form-page.php' );

function add_verowa_subscriptions_styles() {
	wp_enqueue_style( 'add_verowa_subscriptions_styles', plugin_dir_url( __FILE__ ) . 'style.css' );
}

add_action( 'wp_enqueue_scripts', 'add_verowa_subscriptions_styles' );


function verowa_subscriptions_init() {
	load_plugin_textdomain( 'verowa-subscriptions', false, dirname( plugin_basename( __FILE__ ) ) . '/lang/' );
}

add_action( 'init', 'verowa_subscriptions_init' );

?>